Manage Current Transaction Report (CTR) records.
Operations
getCtr
Retrieves CTRs.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringrequiredLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrPOST /nexum/627/2022.01/finrep/getCtr HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"nxAttributes": {
"customFields": {}
}
}getCtrSelectFields
Retrieves CTRs with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrSelectFieldsPOST /nexum/627/2022.01/finrep/getCtrSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"SelectableFields": {
"IncludeAllCtrFields": true,
"CtrFields": {
"AckByUser": true,
"AckDate": true,
"AckErrorByUser": true,
"AckErrorDate": true,
"ApproveAmendByUser": true,
"ApproveAmendDate": true,
"ApproveByUser": true,
"ApproveDate": true,
"Approver": true,
"ApproverTitle": true,
"BackFileFlag": true,
"BatchSequence": true,
"BranchRouting": true,
"CashinBillsInsert": true,
"CashinCurrWager": true,
"CashinCurrXchng": true,
"CashinDeposit": true,
"CashinFundsXfer": true,
"CashinGamingIns": true,
"CashinNegIns": true
},
"CtrAccountSelectableFields": {
"IncludeAllCtrAccountFields": true,
"CtrAccountFields": {
"AccountNumber": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
},
"CtrBranchSelectableFields": {
"IncludeAllCtrBranchFields": true,
"CtrBranchFields": {
"Address": true,
"CashinLocation": true,
"CashoutLocation": true,
"City": true,
"CountryCode": true,
"Ein": true,
"Id": true,
"LastFmDate": true,
"Locator": true,
"Name": true,
"RecordChangeDate": true,
"State": true,
"Type": true,
"ZipCode": true
}
},
"CtrFmHistorySelectableFields": {
"IncludeAllCtrFmHistoryFields": true,
"CtrFmHistoryFields": {
"AccountNumber": true,
"BatchSequence": true,
"Branch": true,
"ConfirmationSeq": true,
"ConsoleNumber": true,
"DataType": true,
"FieldName": true,
"FieldNumber": true,
"FmType": true,
"Id": true,
"IdType": true,
"LastFmDate": true,
"NewCharacter": true,
"NewDate": true,
"NewMoney": true,
"NewNumber": true,
"NewRate": true,
"OldCharacter": true,
"OldDate": true,
"OldMoney": true
}
},
"CtrForeignSelectableFields": {
"IncludeAllCtrForeignFields": true,
"CtrForeignFields": {
"Cashin": true,
"Cashout": true,
"CountryCode": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true
}
},
"CtrNoteSelectableFields": {
"IncludeAllCtrNoteFields": true,
"CtrNoteFields": {
"Code": true,
"EnterDate": true,
"EnterTime": true,
"ExpirationDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"Text": [
0
],
"TextLineCount": true,
"UserId": true,
"VoidFlag": true,
"VoidedBy": true
}
},
"CtrPersonSelectableFields": {
"IncludeAllCtrPersonFields": true,
"CtrPersonFields": {
"Address": true,
"BirthDate": true,
"Cashin": true,
"Cashout": true,
"City": true,
"CountryCode": true,
"DbaFirst": true,
"DbaLast": true,
"DbaLongName": true,
"DbaMiddle": true,
"DbaShortName": true,
"DbaSuffix": true,
"Email": true,
"EntityFlag": true,
"First": true,
"Gender": true,
"Headquarters": true,
"IdIssueByCountry": true,
"IdIssueByState": true,
"IdNumber": true
},
"CtrPersonCtrTranInfoSelectableFields": {
"IncludeAllCtrPersonCtrTranInfoFields": true,
"CtrPersonCtrTranInfoFields": {
"AccountNumber": true,
"Amount": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
}
}
},
"nxAttributes": {
"customFields": {}
}
}getCtrSelectFieldsFilterChildren
Retrieves CTRs with selected fields and filtered children.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrSelectFieldsFilterChildrenPOST /nexum/627/2022.01/finrep/getCtrSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"SelectableFields": {
"IncludeAllCtrFields": true,
"CtrFields": {
"AckByUser": true,
"AckDate": true,
"AckErrorByUser": true,
"AckErrorDate": true,
"ApproveAmendByUser": true,
"ApproveAmendDate": true,
"ApproveByUser": true,
"ApproveDate": true,
"Approver": true,
"ApproverTitle": true,
"BackFileFlag": true,
"BatchSequence": true,
"BranchRouting": true,
"CashinBillsInsert": true,
"CashinCurrWager": true,
"CashinCurrXchng": true,
"CashinDeposit": true,
"CashinFundsXfer": true,
"CashinGamingIns": true,
"CashinNegIns": true
},
"CtrAccountSelectableFields": {
"IncludeAllCtrAccountFields": true,
"CtrAccountFields": {
"AccountNumber": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
},
"CtrBranchSelectableFields": {
"IncludeAllCtrBranchFields": true,
"CtrBranchFields": {
"Address": true,
"CashinLocation": true,
"CashoutLocation": true,
"City": true,
"CountryCode": true,
"Ein": true,
"Id": true,
"LastFmDate": true,
"Locator": true,
"Name": true,
"RecordChangeDate": true,
"State": true,
"Type": true,
"ZipCode": true
}
},
"CtrFmHistorySelectableFields": {
"IncludeAllCtrFmHistoryFields": true,
"CtrFmHistoryFields": {
"AccountNumber": true,
"BatchSequence": true,
"Branch": true,
"ConfirmationSeq": true,
"ConsoleNumber": true,
"DataType": true,
"FieldName": true,
"FieldNumber": true,
"FmType": true,
"Id": true,
"IdType": true,
"LastFmDate": true,
"NewCharacter": true,
"NewDate": true,
"NewMoney": true,
"NewNumber": true,
"NewRate": true,
"OldCharacter": true,
"OldDate": true,
"OldMoney": true
}
},
"CtrForeignSelectableFields": {
"IncludeAllCtrForeignFields": true,
"CtrForeignFields": {
"Cashin": true,
"Cashout": true,
"CountryCode": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true
}
},
"CtrNoteSelectableFields": {
"IncludeAllCtrNoteFields": true,
"CtrNoteFields": {
"Code": true,
"EnterDate": true,
"EnterTime": true,
"ExpirationDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"Text": [
0
],
"TextLineCount": true,
"UserId": true,
"VoidFlag": true,
"VoidedBy": true
}
},
"CtrPersonSelectableFields": {
"IncludeAllCtrPersonFields": true,
"CtrPersonFields": {
"Address": true,
"BirthDate": true,
"Cashin": true,
"Cashout": true,
"City": true,
"CountryCode": true,
"DbaFirst": true,
"DbaLast": true,
"DbaLongName": true,
"DbaMiddle": true,
"DbaShortName": true,
"DbaSuffix": true,
"Email": true,
"EntityFlag": true,
"First": true,
"Gender": true,
"Headquarters": true,
"IdIssueByCountry": true,
"IdIssueByState": true,
"IdNumber": true
},
"CtrPersonCtrTranInfoSelectableFields": {
"IncludeAllCtrPersonCtrTranInfoFields": true,
"CtrPersonCtrTranInfoFields": {
"AccountNumber": true,
"Amount": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
}
}
},
"ChildrenSearchFilter": {
"CtrAccountFilter": {
"Query": "string"
},
"CtrBranchFilter": {
"Query": "string"
},
"CtrFmHistoryFilter": {
"Query": "string"
},
"CtrForeignFilter": {
"Query": "string"
},
"CtrNoteFilter": {
"Query": "string"
},
"CtrPersonFilter": {
"Query": "string",
"CtrPersonChildrenFilter": {
"CtrPersonCtrTranInfoFilter": {
"Query": "string"
}
}
}
},
"nxAttributes": null
}getCtrAccount
Retrieves CTR accounts.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrAccountLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrAccountPOST /nexum/627/2022.01/finrep/getCtrAccount HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrAccountLocator": 0,
"nxAttributes": {
"customFields": {}
}
}getCtrAccountSelectFields
Retrieves CTR accounts with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrAccountLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrAccountSelectFieldsPOST /nexum/627/2022.01/finrep/getCtrAccountSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrAccountLocator": 0,
"SelectableFields": {
"IncludeAllCtrAccountFields": true,
"CtrAccountFields": {
"AccountNumber": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
},
"nxAttributes": {
"customFields": {}
}
}getCtrAccountPagedList
Retrieves a paged list of CTR accounts.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/finrep/getCtrAccountPagedListPOST /nexum/627/2022.01/finrep/getCtrAccountPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCtrAccountListSelectFields
Retrieves a list of CTR accounts with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrAccountListSelectFieldsPOST /nexum/627/2022.01/finrep/getCtrAccountListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"SelectableFields": {
"IncludeAllCtrAccountFields": true,
"CtrAccountFields": {
"AccountNumber": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCtrAccountSelectFields
Searches CTR accounts with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/searchCtrAccountSelectFieldsPOST /nexum/627/2022.01/finrep/searchCtrAccountSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"SelectableFields": {
"IncludeAllCtrAccountFields": true,
"CtrAccountFields": {
"AccountNumber": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCtrAccountPagedListSelectFields
Retrieves a paged list of CTR accounts with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/finrep/getCtrAccountPagedListSelectFieldsPOST /nexum/627/2022.01/finrep/getCtrAccountPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrAccountFields": true,
"CtrAccountFields": {
"AccountNumber": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCtrAccountPagedSelectFields
Searches CTR accounts with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalQuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/finrep/searchCtrAccountPagedSelectFieldsPOST /nexum/627/2022.01/finrep/searchCtrAccountPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrAccountFields": true,
"CtrAccountFields": {
"AccountNumber": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
},
"Query": "string",
"nxAttributes": {
"customFields": {}
}
}getCtrBranch
Retrieves CTR branches.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrBranchLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrBranchPOST /nexum/627/2022.01/finrep/getCtrBranch HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrBranchLocator": 0,
"nxAttributes": {
"customFields": {}
}
}getCtrBranchSelectFields
Retrieves CTR branches with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrBranchLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrBranchSelectFieldsPOST /nexum/627/2022.01/finrep/getCtrBranchSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrBranchLocator": 0,
"SelectableFields": {
"IncludeAllCtrBranchFields": true,
"CtrBranchFields": {
"Address": true,
"CashinLocation": true,
"CashoutLocation": true,
"City": true,
"CountryCode": true,
"Ein": true,
"Id": true,
"LastFmDate": true,
"Locator": true,
"Name": true,
"RecordChangeDate": true,
"State": true,
"Type": true,
"ZipCode": true
}
},
"nxAttributes": {
"customFields": {}
}
}getCtrBranchPagedList
Retrieves a paged list of CTR branches.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/finrep/getCtrBranchPagedListPOST /nexum/627/2022.01/finrep/getCtrBranchPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCtrBranchListSelectFields
Retrieves a list of CTR branches with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrBranchListSelectFieldsPOST /nexum/627/2022.01/finrep/getCtrBranchListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"SelectableFields": {
"IncludeAllCtrBranchFields": true,
"CtrBranchFields": {
"Address": true,
"CashinLocation": true,
"CashoutLocation": true,
"City": true,
"CountryCode": true,
"Ein": true,
"Id": true,
"LastFmDate": true,
"Locator": true,
"Name": true,
"RecordChangeDate": true,
"State": true,
"Type": true,
"ZipCode": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCtrBranchSelectFields
Searches CTR branches with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/searchCtrBranchSelectFieldsPOST /nexum/627/2022.01/finrep/searchCtrBranchSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"SelectableFields": {
"IncludeAllCtrBranchFields": true,
"CtrBranchFields": {
"Address": true,
"CashinLocation": true,
"CashoutLocation": true,
"City": true,
"CountryCode": true,
"Ein": true,
"Id": true,
"LastFmDate": true,
"Locator": true,
"Name": true,
"RecordChangeDate": true,
"State": true,
"Type": true,
"ZipCode": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCtrBranchPagedListSelectFields
Retrieves a paged list of CTR branches with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/finrep/getCtrBranchPagedListSelectFieldsPOST /nexum/627/2022.01/finrep/getCtrBranchPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrBranchFields": true,
"CtrBranchFields": {
"Address": true,
"CashinLocation": true,
"CashoutLocation": true,
"City": true,
"CountryCode": true,
"Ein": true,
"Id": true,
"LastFmDate": true,
"Locator": true,
"Name": true,
"RecordChangeDate": true,
"State": true,
"Type": true,
"ZipCode": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCtrBranchPagedSelectFields
Searches CTR branches with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalQuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/finrep/searchCtrBranchPagedSelectFieldsPOST /nexum/627/2022.01/finrep/searchCtrBranchPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrBranchFields": true,
"CtrBranchFields": {
"Address": true,
"CashinLocation": true,
"CashoutLocation": true,
"City": true,
"CountryCode": true,
"Ein": true,
"Id": true,
"LastFmDate": true,
"Locator": true,
"Name": true,
"RecordChangeDate": true,
"State": true,
"Type": true,
"ZipCode": true
}
},
"Query": "string",
"nxAttributes": {
"customFields": {}
}
}getCtrFmHistoryPagedList
Retrieves a paged list of CTRs from history.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/finrep/getCtrFmHistoryPagedListPOST /nexum/627/2022.01/finrep/getCtrFmHistoryPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCtrFmHistoryListSelectFields
Retrieves a list of CTRs from history with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrFmHistoryListSelectFieldsPOST /nexum/627/2022.01/finrep/getCtrFmHistoryListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"SelectableFields": {
"IncludeAllCtrFmHistoryFields": true,
"CtrFmHistoryFields": {
"AccountNumber": true,
"BatchSequence": true,
"Branch": true,
"ConfirmationSeq": true,
"ConsoleNumber": true,
"DataType": true,
"FieldName": true,
"FieldNumber": true,
"FmType": true,
"Id": true,
"IdType": true,
"LastFmDate": true,
"NewCharacter": true,
"NewDate": true,
"NewMoney": true,
"NewNumber": true,
"NewRate": true,
"OldCharacter": true,
"OldDate": true,
"OldMoney": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCtrFmHistorySelectFields
Searches CTRs from history with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/searchCtrFmHistorySelectFieldsPOST /nexum/627/2022.01/finrep/searchCtrFmHistorySelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"SelectableFields": {
"IncludeAllCtrFmHistoryFields": true,
"CtrFmHistoryFields": {
"AccountNumber": true,
"BatchSequence": true,
"Branch": true,
"ConfirmationSeq": true,
"ConsoleNumber": true,
"DataType": true,
"FieldName": true,
"FieldNumber": true,
"FmType": true,
"Id": true,
"IdType": true,
"LastFmDate": true,
"NewCharacter": true,
"NewDate": true,
"NewMoney": true,
"NewNumber": true,
"NewRate": true,
"OldCharacter": true,
"OldDate": true,
"OldMoney": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCtrFmHistoryPagedListSelectFields
Retrieves a paged list of CTRs from history with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/finrep/getCtrFmHistoryPagedListSelectFieldsPOST /nexum/627/2022.01/finrep/getCtrFmHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrFmHistoryFields": true,
"CtrFmHistoryFields": {
"AccountNumber": true,
"BatchSequence": true,
"Branch": true,
"ConfirmationSeq": true,
"ConsoleNumber": true,
"DataType": true,
"FieldName": true,
"FieldNumber": true,
"FmType": true,
"Id": true,
"IdType": true,
"LastFmDate": true,
"NewCharacter": true,
"NewDate": true,
"NewMoney": true,
"NewNumber": true,
"NewRate": true,
"OldCharacter": true,
"OldDate": true,
"OldMoney": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCtrFmHistoryPagedSelectFields
Searches CTRs from history with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalQuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/finrep/searchCtrFmHistoryPagedSelectFieldsPOST /nexum/627/2022.01/finrep/searchCtrFmHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrFmHistoryFields": true,
"CtrFmHistoryFields": {
"AccountNumber": true,
"BatchSequence": true,
"Branch": true,
"ConfirmationSeq": true,
"ConsoleNumber": true,
"DataType": true,
"FieldName": true,
"FieldNumber": true,
"FmType": true,
"Id": true,
"IdType": true,
"LastFmDate": true,
"NewCharacter": true,
"NewDate": true,
"NewMoney": true,
"NewNumber": true,
"NewRate": true,
"OldCharacter": true,
"OldDate": true,
"OldMoney": true
}
},
"Query": "string",
"nxAttributes": {
"customFields": {}
}
}getCtrForeign
Retrieves foreign CTRs.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrForeignLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrForeignPOST /nexum/627/2022.01/finrep/getCtrForeign HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrForeignLocator": 0,
"nxAttributes": {
"customFields": {}
}
}getCtrForeignSelectFields
Retrieves foreign CTRs with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrForeignLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrForeignSelectFieldsPOST /nexum/627/2022.01/finrep/getCtrForeignSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrForeignLocator": 0,
"SelectableFields": {
"IncludeAllCtrForeignFields": true,
"CtrForeignFields": {
"Cashin": true,
"Cashout": true,
"CountryCode": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {}
}
}getCtrForeignPagedList
Retrieves a paged list of foreign CTRs.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/finrep/getCtrForeignPagedListPOST /nexum/627/2022.01/finrep/getCtrForeignPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCtrForeignListSelectFields
Retrieves a list of foreign CTRs with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrForeignListSelectFieldsPOST /nexum/627/2022.01/finrep/getCtrForeignListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"SelectableFields": {
"IncludeAllCtrForeignFields": true,
"CtrForeignFields": {
"Cashin": true,
"Cashout": true,
"CountryCode": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCtrForeignSelectFields
Searches foreign CTRs with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/searchCtrForeignSelectFieldsPOST /nexum/627/2022.01/finrep/searchCtrForeignSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"SelectableFields": {
"IncludeAllCtrForeignFields": true,
"CtrForeignFields": {
"Cashin": true,
"Cashout": true,
"CountryCode": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCtrForeignPagedListSelectFields
Retrieves a paged list of foreign CTRs with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/finrep/getCtrForeignPagedListSelectFieldsPOST /nexum/627/2022.01/finrep/getCtrForeignPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrForeignFields": true,
"CtrForeignFields": {
"Cashin": true,
"Cashout": true,
"CountryCode": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCtrForeignPagedSelectFields
Searches foreign CTRs with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalQuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/finrep/searchCtrForeignPagedSelectFieldsPOST /nexum/627/2022.01/finrep/searchCtrForeignPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrForeignFields": true,
"CtrForeignFields": {
"Cashin": true,
"Cashout": true,
"CountryCode": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true
}
},
"Query": "string",
"nxAttributes": {
"customFields": {}
}
}getCtrNote
Retrieves CTR notes.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrNoteLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrNotePOST /nexum/627/2022.01/finrep/getCtrNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrNoteLocator": 0,
"nxAttributes": {
"customFields": {}
}
}getCtrNoteSelectFields
Retrieves CTR notes with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrNoteLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrNoteSelectFieldsPOST /nexum/627/2022.01/finrep/getCtrNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrNoteLocator": 0,
"SelectableFields": {
"IncludeAllCtrNoteFields": true,
"CtrNoteFields": {
"Code": true,
"EnterDate": true,
"EnterTime": true,
"ExpirationDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"Text": [
0
],
"TextLineCount": true,
"UserId": true,
"VoidFlag": true,
"VoidedBy": true
}
},
"nxAttributes": {
"customFields": {}
}
}getCtrNotePagedList
Retrieves a paged list of CTR notes.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/finrep/getCtrNotePagedListPOST /nexum/627/2022.01/finrep/getCtrNotePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCtrNoteListSelectFields
Retrieves a list of CTR notes with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrNoteListSelectFieldsPOST /nexum/627/2022.01/finrep/getCtrNoteListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"SelectableFields": {
"IncludeAllCtrNoteFields": true,
"CtrNoteFields": {
"Code": true,
"EnterDate": true,
"EnterTime": true,
"ExpirationDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"Text": [
0
],
"TextLineCount": true,
"UserId": true,
"VoidFlag": true,
"VoidedBy": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCtrNoteSelectFields
Searches CTR notes with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/searchCtrNoteSelectFieldsPOST /nexum/627/2022.01/finrep/searchCtrNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"SelectableFields": {
"IncludeAllCtrNoteFields": true,
"CtrNoteFields": {
"Code": true,
"EnterDate": true,
"EnterTime": true,
"ExpirationDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"Text": [
0
],
"TextLineCount": true,
"UserId": true,
"VoidFlag": true,
"VoidedBy": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCtrNotePagedListSelectFields
Retrieves a paged list of CTR notes with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/finrep/getCtrNotePagedListSelectFieldsPOST /nexum/627/2022.01/finrep/getCtrNotePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrNoteFields": true,
"CtrNoteFields": {
"Code": true,
"EnterDate": true,
"EnterTime": true,
"ExpirationDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"Text": [
0
],
"TextLineCount": true,
"UserId": true,
"VoidFlag": true,
"VoidedBy": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCtrNotePagedSelectFields
Searches CTR notes with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalQuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/finrep/searchCtrNotePagedSelectFieldsPOST /nexum/627/2022.01/finrep/searchCtrNotePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrNoteFields": true,
"CtrNoteFields": {
"Code": true,
"EnterDate": true,
"EnterTime": true,
"ExpirationDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"Text": [
0
],
"TextLineCount": true,
"UserId": true,
"VoidFlag": true,
"VoidedBy": true
}
},
"Query": "string",
"nxAttributes": {
"customFields": {}
}
}getCtrPerson
Retrieves individuals involved in CTRs.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrPersonLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrPersonPOST /nexum/627/2022.01/finrep/getCtrPerson HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrPersonLocator": 0,
"nxAttributes": {
"customFields": {}
}
}getCtrPersonSelectFields
Retrieves individuals involved in CTRs with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrPersonLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrPersonSelectFieldsPOST /nexum/627/2022.01/finrep/getCtrPersonSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrPersonLocator": 0,
"SelectableFields": {
"IncludeAllCtrPersonFields": true,
"CtrPersonFields": {
"Address": true,
"BirthDate": true,
"Cashin": true,
"Cashout": true,
"City": true,
"CountryCode": true,
"DbaFirst": true,
"DbaLast": true,
"DbaLongName": true,
"DbaMiddle": true,
"DbaShortName": true,
"DbaSuffix": true,
"Email": true,
"EntityFlag": true,
"First": true,
"Gender": true,
"Headquarters": true,
"IdIssueByCountry": true,
"IdIssueByState": true,
"IdNumber": true
},
"CtrPersonCtrTranInfoSelectableFields": {
"IncludeAllCtrPersonCtrTranInfoFields": true,
"CtrPersonCtrTranInfoFields": {
"AccountNumber": true,
"Amount": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
}
},
"nxAttributes": {
"customFields": {}
}
}getCtrPersonSelectFieldsFilterChildren
Retrieves individuals involved in CTRs with selected fields and filtered children.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrPersonLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrPersonSelectFieldsFilterChildrenPOST /nexum/627/2022.01/finrep/getCtrPersonSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrPersonLocator": 0,
"SelectableFields": {
"IncludeAllCtrPersonFields": true,
"CtrPersonFields": {
"Address": true,
"BirthDate": true,
"Cashin": true,
"Cashout": true,
"City": true,
"CountryCode": true,
"DbaFirst": true,
"DbaLast": true,
"DbaLongName": true,
"DbaMiddle": true,
"DbaShortName": true,
"DbaSuffix": true,
"Email": true,
"EntityFlag": true,
"First": true,
"Gender": true,
"Headquarters": true,
"IdIssueByCountry": true,
"IdIssueByState": true,
"IdNumber": true
},
"CtrPersonCtrTranInfoSelectableFields": {
"IncludeAllCtrPersonCtrTranInfoFields": true,
"CtrPersonCtrTranInfoFields": {
"AccountNumber": true,
"Amount": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
}
},
"ChildrenSearchFilter": {
"CtrPersonCtrTranInfoFilter": {
"Query": "string"
}
},
"nxAttributes": {
"customFields": {}
}
}getCtrPersonPagedList
Retrieves a paged list of individuals involved in CTRs.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/finrep/getCtrPersonPagedListPOST /nexum/627/2022.01/finrep/getCtrPersonPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCtrPersonListSelectFields
Retrieves a list of individuals involved in CTRs with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrPersonListSelectFieldsPOST /nexum/627/2022.01/finrep/getCtrPersonListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"SelectableFields": {
"IncludeAllCtrPersonFields": true,
"CtrPersonFields": {
"Address": true,
"BirthDate": true,
"Cashin": true,
"Cashout": true,
"City": true,
"CountryCode": true,
"DbaFirst": true,
"DbaLast": true,
"DbaLongName": true,
"DbaMiddle": true,
"DbaShortName": true,
"DbaSuffix": true,
"Email": true,
"EntityFlag": true,
"First": true,
"Gender": true,
"Headquarters": true,
"IdIssueByCountry": true,
"IdIssueByState": true,
"IdNumber": true
},
"CtrPersonCtrTranInfoSelectableFields": {
"IncludeAllCtrPersonCtrTranInfoFields": true,
"CtrPersonCtrTranInfoFields": {
"AccountNumber": true,
"Amount": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
}
},
"nxAttributes": {
"customFields": {}
}
}searchCtrPersonSelectFields
Searches individuals involved in CTRs with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/searchCtrPersonSelectFieldsPOST /nexum/627/2022.01/finrep/searchCtrPersonSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"SelectableFields": {
"IncludeAllCtrPersonFields": true,
"CtrPersonFields": {
"Address": true,
"BirthDate": true,
"Cashin": true,
"Cashout": true,
"City": true,
"CountryCode": true,
"DbaFirst": true,
"DbaLast": true,
"DbaLongName": true,
"DbaMiddle": true,
"DbaShortName": true,
"DbaSuffix": true,
"Email": true,
"EntityFlag": true,
"First": true,
"Gender": true,
"Headquarters": true,
"IdIssueByCountry": true,
"IdIssueByState": true,
"IdNumber": true
},
"CtrPersonCtrTranInfoSelectableFields": {
"IncludeAllCtrPersonCtrTranInfoFields": true,
"CtrPersonCtrTranInfoFields": {
"AccountNumber": true,
"Amount": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
}
},
"SearchFilter": {
"Query": "string",
"CtrPersonChildrenFilter": {
"CtrPersonCtrTranInfoFilter": {
"Query": "string"
}
}
},
"nxAttributes": {
"customFields": {}
}
}getCtrPersonPagedListSelectFields
Retrieves a paged list of individuals involved in CTRs with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/finrep/getCtrPersonPagedListSelectFieldsPOST /nexum/627/2022.01/finrep/getCtrPersonPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrPersonFields": true,
"CtrPersonFields": {
"Address": true,
"BirthDate": true,
"Cashin": true,
"Cashout": true,
"City": true,
"CountryCode": true,
"DbaFirst": true,
"DbaLast": true,
"DbaLongName": true,
"DbaMiddle": true,
"DbaShortName": true,
"DbaSuffix": true,
"Email": true,
"EntityFlag": true,
"First": true,
"Gender": true,
"Headquarters": true,
"IdIssueByCountry": true,
"IdIssueByState": true,
"IdNumber": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCtrPersonPagedSelectFields
Searches individuals involved in CTRs with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalQuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/finrep/searchCtrPersonPagedSelectFieldsPOST /nexum/627/2022.01/finrep/searchCtrPersonPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrPersonFields": true,
"CtrPersonFields": {
"Address": true,
"BirthDate": true,
"Cashin": true,
"Cashout": true,
"City": true,
"CountryCode": true,
"DbaFirst": true,
"DbaLast": true,
"DbaLongName": true,
"DbaMiddle": true,
"DbaShortName": true,
"DbaSuffix": true,
"Email": true,
"EntityFlag": true,
"First": true,
"Gender": true,
"Headquarters": true,
"IdIssueByCountry": true,
"IdIssueByState": true,
"IdNumber": true
}
},
"Query": "string",
"nxAttributes": {
"customFields": {}
}
}getCtrPersonCtrTranInfo
Retrieves CTR transaction information for individuals.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrPersonLocatorintegeroptionalCtrPersonCtrTranInfoLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrPersonCtrTranInfoPOST /nexum/627/2022.01/finrep/getCtrPersonCtrTranInfo HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrPersonLocator": 0,
"CtrPersonCtrTranInfoLocator": 0,
"nxAttributes": {
"customFields": {}
}
}getCtrPersonCtrTranInfoSelectFields
Retrieves CTR transaction information for individuals with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrPersonLocatorintegeroptionalCtrPersonCtrTranInfoLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrPersonCtrTranInfoSelectFieldsPOST /nexum/627/2022.01/finrep/getCtrPersonCtrTranInfoSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrPersonLocator": 0,
"CtrPersonCtrTranInfoLocator": 0,
"SelectableFields": {
"IncludeAllCtrPersonCtrTranInfoFields": true,
"CtrPersonCtrTranInfoFields": {
"AccountNumber": true,
"Amount": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
},
"nxAttributes": {
"customFields": {}
}
}getCtrPersonCtrTranInfoPagedList
Retrieves a paged list of CTR transaction information for individuals.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrPersonLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/finrep/getCtrPersonCtrTranInfoPagedListPOST /nexum/627/2022.01/finrep/getCtrPersonCtrTranInfoPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrPersonLocator": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCtrPersonCtrTranInfoListSelectFields
Retrieves a list of CTR transaction information for individuals with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrPersonLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/getCtrPersonCtrTranInfoListSelectFieldsPOST /nexum/627/2022.01/finrep/getCtrPersonCtrTranInfoListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrPersonLocator": 0,
"SelectableFields": {
"IncludeAllCtrPersonCtrTranInfoFields": true,
"CtrPersonCtrTranInfoFields": {
"AccountNumber": true,
"Amount": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCtrPersonCtrTranInfoSelectFields
Searches CTR transaction information for individuals with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrPersonLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/searchCtrPersonCtrTranInfoSelectFieldsPOST /nexum/627/2022.01/finrep/searchCtrPersonCtrTranInfoSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrPersonLocator": 0,
"SelectableFields": {
"IncludeAllCtrPersonCtrTranInfoFields": true,
"CtrPersonCtrTranInfoFields": {
"AccountNumber": true,
"Amount": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCtrPersonCtrTranInfoPagedListSelectFields
Retrieves a paged list of CTR transaction information for individuals with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrPersonLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/finrep/getCtrPersonCtrTranInfoPagedListSelectFieldsPOST /nexum/627/2022.01/finrep/getCtrPersonCtrTranInfoPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrPersonLocator": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrPersonCtrTranInfoFields": true,
"CtrPersonCtrTranInfoFields": {
"AccountNumber": true,
"Amount": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCtrPersonCtrTranInfoPagedSelectFields
Searches CTR transaction information for individuals with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrPersonLocatorintegeroptionalQuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/finrep/searchCtrPersonCtrTranInfoPagedSelectFieldsPOST /nexum/627/2022.01/finrep/searchCtrPersonCtrTranInfoPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrPersonLocator": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCtrPersonCtrTranInfoFields": true,
"CtrPersonCtrTranInfoFields": {
"AccountNumber": true,
"Amount": true,
"LastFmDate": true,
"Locator": true,
"RecordChangeDate": true,
"SlId": true,
"SlIdType": true,
"Source": true
}
},
"Query": "string",
"nxAttributes": {
"customFields": {}
}
}updateCtrByID
Updates a CTR by its ID.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/updateCtrByIDPOST /nexum/627/2022.01/finrep/updateCtrByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrUpdatableFields": {
"AckByUser": "string",
"AckDate": "string",
"AckErrorByUser": "string",
"AckErrorDate": "string",
"ApproveAmendByUser": "string",
"ApproveAmendDate": "string",
"ApproveByUser": "string",
"ApproveDate": "string",
"Approver": "string",
"ApproverTitle": "string",
"BackFileFlag": 0,
"BranchRouting": "string",
"CashinBillsInsert": 0,
"CashinCurrWager": 0,
"CashinCurrXchng": 0,
"CashinDeposit": 0,
"CashinFundsXfer": 0,
"CashinGamingIns": 0,
"CashinNegIns": 0,
"CashinOther": 0
},
"CtrAccountUpdateRequest": [
{
"CtrAccountLocator": 0,
"CtrAccountUpdatableFields": {
"AccountNumber": "string",
"SlId": "string",
"SlIdType": 0,
"Source": 0
}
}
],
"CtrBranchUpdateRequest": [
{
"CtrBranchLocator": 0,
"CtrBranchUpdatableFields": {
"Address": "string",
"CashinLocation": 0,
"CashoutLocation": 0,
"City": "string",
"CountryCode": "string",
"Ein": "string",
"Id": 0,
"Name": "string",
"State": "string",
"Type": 0,
"ZipCode": "string"
}
}
],
"CtrForeignUpdateRequest": [
{
"CtrForeignLocator": 0,
"CtrForeignUpdatableFields": {
"Cashin": 0,
"Cashout": 0,
"CountryCode": "string"
}
}
],
"CtrNoteUpdateRequest": [
{
"CtrNoteLocator": 0,
"CtrNoteUpdatableFields": {
"Code": 0,
"EnterDate": "string",
"EnterTime": 0,
"ExpirationDate": "string",
"Text": [
{
"EntryId": 0,
"Text": "string"
}
],
"UserId": 0,
"VoidFlag": 0,
"VoidedBy": 0
}
}
],
"CtrPersonUpdateRequest": [
{
"CtrPersonLocator": 0,
"CtrPersonUpdatableFields": {
"Address": "string",
"BirthDate": "string",
"Cashin": 0,
"Cashout": 0,
"City": "string",
"CountryCode": "string",
"DbaFirst": "string",
"DbaLast": "string",
"DbaMiddle": "string",
"DbaSuffix": "string",
"Email": "string",
"EntityFlag": 0,
"First": "string",
"Gender": "string",
"Headquarters": 0,
"IdIssueByCountry": "string",
"IdIssueByState": "string",
"IdNumber": "string",
"IdTypeOtherDesc": "string",
"IdVerifyMethod": 0
},
"CtrPersonCtrTranInfoUpdateRequest": [
{
"CtrPersonCtrTranInfoLocator": 0,
"CtrPersonCtrTranInfoUpdatableFields": {
"AccountNumber": "string",
"Amount": 0,
"SlId": "string",
"SlIdType": 0,
"Source": 0
}
}
]
}
],
"nxAttributes": {
"customFields": {}
}
}updateCtrAccountByID
Updates a CTR account by its ID.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrAccountLocatorintegeroptionalCtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/updateCtrAccountByIDPOST /nexum/627/2022.01/finrep/updateCtrAccountByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrAccountLocator": 0,
"CtrAccountUpdatableFields": {
"AccountNumber": "string",
"SlId": "string",
"SlIdType": 0,
"Source": 0
},
"CtrNumber": "string",
"nxAttributes": {
"customFields": {}
}
}updateCtrBranchByID
Updates a CTR branch by its ID.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrBranchLocatorintegeroptionalCtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/updateCtrBranchByIDPOST /nexum/627/2022.01/finrep/updateCtrBranchByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrBranchLocator": 0,
"CtrBranchUpdatableFields": {
"Address": "string",
"CashinLocation": 0,
"CashoutLocation": 0,
"City": "string",
"CountryCode": "string",
"Ein": "string",
"Id": 0,
"Name": "string",
"State": "string",
"Type": 0,
"ZipCode": "string"
},
"CtrNumber": "string",
"nxAttributes": {
"customFields": {}
}
}updateCtrForeignByID
Updates a foreign CTR by its ID.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrForeignLocatorintegeroptionalCtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/updateCtrForeignByIDPOST /nexum/627/2022.01/finrep/updateCtrForeignByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrForeignLocator": 0,
"CtrForeignUpdatableFields": {
"Cashin": 0,
"Cashout": 0,
"CountryCode": "string"
},
"CtrNumber": "string",
"nxAttributes": {
"customFields": {}
}
}updateCtrNoteByID
Updates a CTR note by its ID.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNoteLocatorintegeroptionalCtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/updateCtrNoteByIDPOST /nexum/627/2022.01/finrep/updateCtrNoteByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNoteLocator": 0,
"CtrNoteUpdatableFields": {
"Code": 0,
"EnterDate": "string",
"EnterTime": 0,
"ExpirationDate": "string",
"Text": [
{
"EntryId": 0,
"Text": "string"
}
],
"UserId": 0,
"VoidFlag": 0,
"VoidedBy": 0
},
"CtrNumber": "string",
"nxAttributes": {
"customFields": {}
}
}updateCtrPersonByID
Updates an individual involved in CTRs by their ID.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrPersonLocatorintegeroptionalCtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/updateCtrPersonByIDPOST /nexum/627/2022.01/finrep/updateCtrPersonByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrPersonLocator": 0,
"CtrPersonUpdatableFields": {
"Address": "string",
"BirthDate": "string",
"Cashin": 0,
"Cashout": 0,
"City": "string",
"CountryCode": "string",
"DbaFirst": "string",
"DbaLast": "string",
"DbaMiddle": "string",
"DbaSuffix": "string",
"Email": "string",
"EntityFlag": 0,
"First": "string",
"Gender": "string",
"Headquarters": 0,
"IdIssueByCountry": "string",
"IdIssueByState": "string",
"IdNumber": "string",
"IdTypeOtherDesc": "string",
"IdVerifyMethod": 0
},
"CtrPersonCtrTranInfoUpdateRequest": [
{
"CtrPersonCtrTranInfoLocator": 0,
"CtrPersonCtrTranInfoUpdatableFields": {
"AccountNumber": "string",
"Amount": 0,
"SlId": "string",
"SlIdType": 0,
"Source": 0
}
}
],
"CtrNumber": "string",
"nxAttributes": {
"customFields": {}
}
}updateCtrPersonCtrTranInfoByID
Updates CTR transaction information for individuals by their ID.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrPersonCtrTranInfoLocatorintegeroptionalCtrNumberstringoptionalCtrPersonLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/finrep/updateCtrPersonCtrTranInfoByIDPOST /nexum/627/2022.01/finrep/updateCtrPersonCtrTranInfoByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrPersonCtrTranInfoLocator": 0,
"CtrPersonCtrTranInfoUpdatableFields": {
"AccountNumber": "string",
"Amount": 0,
"SlId": "string",
"SlIdType": 0,
"Source": 0
},
"CtrNumber": "string",
"CtrPersonLocator": 0,
"nxAttributes": {
"customFields": {}
}
}createCtrBranch
Creates a branch for CTRs.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalLoading fields…
symstringrequired- Sym number
CtrBranchLocatorintegeroptionalLoading fields…
/nexum/{sym}/2022.01/finrep/createCtrBranchPOST /nexum/627/2022.01/finrep/createCtrBranch HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrBranchCreatableFields": {
"Address": "string",
"CashinLocation": 0,
"CashoutLocation": 0,
"City": "string",
"CountryCode": "string",
"Ein": "string",
"Id": 0,
"Name": "string",
"State": "string",
"Type": 0,
"ZipCode": "string"
},
"CtrNumber": "string",
"nxAttributes": {
"customFields": {}
}
}deleteCtrBranch
Deletes a branch for CTRs.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CtrNumberstringoptionalCtrBranchLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
/nexum/{sym}/2022.01/finrep/deleteCtrBranchPOST /nexum/627/2022.01/finrep/deleteCtrBranch HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CtrNumber": "string",
"CtrBranchLocator": 0,
"nxAttributes": {
"customFields": {}
}
}